# Documentation vision

Currently, documentation for using Bundler is spread across two places:

1. built-in `help` (including usage information and man pages)
2. [Bundler documentation site](https://bundler.io)

Additional documentation about using Bundler to publish gems can also be found on the [RubyGems guides](https://guides.rubygems.org/).

## Goals

Bundler documentation should provide users with assistance:

1. Installing Bundler
2. Using Bundler to manage an application's dependencies
3. Using Bundler to create, package, and publish gems

Our goal is to provide three types of documentation:

* High level overviews that provide topical guidance
* Step-by-step tutorials
* Command-specific reference material for the CLI

Additionally, this documentation should be readily available in a logical place and easy to follow.

Someday, we'd like to create deep-dive reference material about the inner workings of Bundler. However, while this is part of our overall vision for Bundler documentation, it is not the focus of our current work.
